# Method: customBiddingAlgorithms.scripts.list

> [!WARNING]
> Display \& Video 360 API v3 has sunset. Use [v4](https://developers.google.com/display-video/api/reference/rest/v4) instead.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.response_body)
  - [JSON representation](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.ListCustomBiddingScriptsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#try-it)

Lists custom bidding scripts that belong to the given algorithm.

The order is defined by the `https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.QUERY_PARAMETERS.order_by` parameter.

### HTTP request

`GET https://displayvideo.googleapis.com/v3/customBiddingAlgorithms/{customBiddingAlgorithmId}/scripts`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customBiddingAlgorithmId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the custom bidding algorithm owns the script. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Requested page size. Must be between `1` and `200`. If unspecified will default to `100`. Returns error code `INVALID_ARGUMENT` if an invalid value is specified. |
| `pageToken` | `string` A token identifying a page of results the server should return. Typically, this is the value of `https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.ListCustomBiddingScriptsResponse.FIELDS.next_page_token` returned from the previous call to `scripts.list` method. If not specified, the first page of results will be returned. |
| `orderBy` | `string` Field by which to sort the list. Acceptable values are: - `createTime desc` (default) The default sorting order is descending. To specify ascending order for a field, the suffix "desc" should be removed. Example: `createTime`. |
| Union parameter `accessor`. Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. `accessor` can be only one of the following: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this custom bidding script. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the parent custom bidding algorithm. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customBiddingScripts": [ { object (`https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts#CustomBiddingScript`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `customBiddingScripts[]` | ``object (`https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts#CustomBiddingScript`)`` The list of custom bidding scripts. This list will be absent if empty. |
| `nextPageToken` | `string` A token to retrieve the next page of results. Pass this value in the `https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.scripts/list#body.QUERY_PARAMETERS.page_token` field in the subsequent call to `ListCustomBiddingScriptsRequest` method to retrieve the next page of results. If this field is null, it means this is the last page. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).